Index: src/libdvdcss.c
===================================================================
--- src/libdvdcss.c	(revision 228)
+++ src/libdvdcss.c	(working copy)
@@ -378,12 +378,20 @@
     {
         i_ret = _dvdcss_test( dvdcss );
 
-        if( i_ret == -3 && !dvdcss->b_ignore_rpc )
+        if( i_ret == -3 )
         {
-            /* Scrambled disk, RPC-II drive, no region set: bail out */
-            free( dvdcss->psz_device );
-            free( dvdcss );
-            return NULL;
+            if( dvdcss->b_ignore_rpc )
+            {
+                print_debug( dvdcss,
+                             "RPC-II sanity check bypassed" );
+            }
+            else
+            {
+                /* Scrambled disk, RPC-II drive, no region set: bail out */
+                free( dvdcss->psz_device );
+                free( dvdcss );
+                return NULL;
+            }
         }
         else if( i_ret < 0 )
         {